# List workflows

## List all workflows

> Returns information about all workflows

```json
{"openapi":"3.1.0","info":{"title":"Ocoya API","version":"1.1.0"},"servers":[{"url":"https://app.ocoya.com/api/_public/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}}},"paths":{"/workflow":{"get":{"summary":"List all workflows","description":"Returns information about all workflows","parameters":[{"in":"query","name":"workspaceId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"500":{"description":"Unknown error"}}}}}}
```

### Sample response

{% code overflow="wrap" lineNumbers="true" fullWidth="true" expandable="true" %}

```json
[
    {
        "id": "cmiw209880002fdzllb3y6mts",
        "createdAt": "2025-12-07T18:26:20.984Z",
        "name": "Daily poster",
        "on": false
    },
    {
        "id": "cmiqqfj4w001413vf9mvdlwgs",
        "createdAt": "2025-12-04T01:03:27.392Z",
        "name": "Mention responder",
        "on": true
    },
    {
        "id": "cmiiput8v001ez6auurph6d5b",
        "createdAt": "2025-11-28T10:25:11.311Z",
        "name": "DM chatbot",
        "on": false
    }
]
```

{% endcode %}
